--[[=============================================================================
    Lua Action Code

    Copyright 2015 Control4 Corporation. All Rights Reserved.
===============================================================================]]

-- This macro is utilized to identify the version string of the driver template version used.
if (TEMPLATE_VERSION ~= nil) then
	TEMPLATE_VERSION.actions = "2015.03.02"
end

-- TODO: Create a function for each action defined in the driver

function LUA_ACTION.PrintMultiviewInfo()
    LogTrace("PrintMultiviewInfo()")
    
    PackAndQueueCommand("Get Mulitview Layout", "MVIEW?")
    PackAndQueueCommand("Get Active Multiview Window", "MVIEWACTIVE?")
    PackAndQueueCommand("Get Mulitview Windows Sources", "MVIEWSRC??")
end

function LUA_ACTION.PrintActiveMainHDMIOutput()
    LogTrace("PrintActiveMainHDMIOutput()")
    
    PackAndQueueCommand("Get Active Main HDMI Output", "HDMIMAINOUT?")
end

function LUA_ACTION.PrintStandbyLevel()
    LogTrace("PrintStandbyLevel()")
    
    PackAndQueueCommand("Get Current Standby Level", "STANDBYLEVEL?")
end

